Update a subscription lifetime usage
curl --request PUT \
--url https://api.getlago.com/api/v1/subscriptions/{external_id}/lifetime_usage \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"lifetime_usage": {
"external_historical_usage_amount_cents": 100
}
}
'import requests
url = "https://api.getlago.com/api/v1/subscriptions/{external_id}/lifetime_usage"
payload = { "lifetime_usage": { "external_historical_usage_amount_cents": 100 } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({lifetime_usage: {external_historical_usage_amount_cents: 100}})
};
fetch('https://api.getlago.com/api/v1/subscriptions/{external_id}/lifetime_usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"lifetime_usage": {
"lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"lago_subscription_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"external_subscription_id": "5eb02857-a71e-4ea2-bcf9-57d3a41bc6ba",
"external_historical_usage_amount_cents": 100,
"invoiced_usage_amount_cents": 100,
"current_usage_amount_cents": 100,
"from_datetime": "2024-01-01T00:00:00Z",
"to_datetime": "2024-12-31T23:59:59Z",
"usage_thresholds": [
{
"amount_cents": 100,
"completion_ratio": 0.5,
"reached_at": "2024-01-01T00:00:00Z"
}
]
}
}{
"status": 400,
"error": "Bad request"
}{
"status": 401,
"error": "Unauthorized"
}{
"status": 404,
"error": "Not Found",
"code": "object_not_found"
}{
"status": 422,
"error": "Unprocessable entity",
"code": "validation_errors",
"error_details": {}
}Lifetime Usage
Update subscription lifetime usage
This endpoint allows you to update the total lifetime usage of a subscription for migration purposes.
PUT
/
subscriptions
/
{external_id}
/
lifetime_usage
Update a subscription lifetime usage
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
External ID of the existing subscription
Example:
"5eb02857-a71e-4ea2-bcf9-57d3a41bc6ba"
Body
application/json
Update the lifetime usage of a subscription
Show child attributes
Show child attributes
Response
Subscription lifetime usage updated
Show child attributes
Show child attributes
⌘I